MP4(3)

NAME

MP4GetTrackVideoFrameRate - Get the video frame rate of the specified video track

SYNTAX

#include <mp4.h>

float MP4GetTrackVideoFrameRate(
    MP4FileHandle hFile,
    MP4TrackId trackId
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track for which the video frame rate is desired.

RETURN VALUES

Upon success, the number of video frames per second of the track. Upon an error, 0.

DESCRIPTION

MP4GetTrackVideoFrameRate returns the frame rate of the video in the specified track in the mp4 file. If the video is variable rate, the average frame rate is returned.

SEE ALSO

MP4(3)